# This hack disables the anoying i18n key deprecation warning, which we have currently
# no way of doing anything about until we move to rails3.
# TODO: Remove?
I18n::Backend::Base.module_eval do
  protected

  def warn_syntax_deprecation!(*args)
    # Shutup bitch!
  end
end

# Avoid deprecation warning
I18n.enforce_available_locales = false
